import request from '@/utils/httpRequest'

export default class PositionCategoryService {
  list (params) {
    return request({
      url: '/job/position_category/list',
      method: 'get',
      params: params
    })
  }
  queryById (id) {
    return request({
      url: '/job/position_category/queryById',
      method: 'get',
      params: {id: id}
    })
  }
  save (inputForm) {
    return request({
      url: `/job/position_category/save`,
      method: 'post',
      data: inputForm
    })
  }
  delete (ids) {
    return request({
      url: '/job/position_category/delete',
      method: 'delete',
      params: {ids: ids}
    })
  }
  updateSort (params) {
    return request({
      url: `/job/position_category/updateSort`,
      method: 'post',
      data: params
    })
  }
}
